%define name	povray
%define version 3.6.1
%define PKGRELEASE 3.6
%define release %mkrel 1

Name:         	%{name}
License:      	povray
Version:        %{version}
Release:        %{release}
Group:        	Sciences/Computer science
Summary:      	Ray tracer
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}.bash-completion.bz2
URL:	      	http://www.povray.org
BuildRoot:      %{_tmppath}/%name-buildroot
BuildRequires:	zlib1-devel, libpng-devel, XFree86-devel, libjpeg-devel, libtiff-devel
Obsoletes:	povray-common, povray-official

%description
The Persistence of Vision Ray tracer creates three-dimensional,
photo-realistic images using a rendering technique called ray tracing.
It reads in a text file containing information describing the objects and
lighting in a scene and generates an image of that scene from the view
point of a camera also described in the text file. Ray tracing is not
a fast process by any means, (the generation of a complex image can
take several hours) but it produces very high quality images
with realistic reflections, shading, perspective, and other effects.

%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q 
bzcat %{SOURCE1} > %{name}.bash-completion

%build
%configure --with-x COMPILED_BY="Mandriva_Linux"
%make 

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -m 644 %{name}.bash-completion $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}
make install DESTDIR=$RPM_BUILD_ROOT 

%files 
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%PKGRELEASE/povray.conf
%config(noreplace) %{_sysconfdir}/%{name}/%PKGRELEASE/povray.ini
%doc doc/* 
%doc %{_mandir}/man1/povray.1.bz2
%{_defaultdocdir}/%{name}-%PKGRELEASE
%{_datadir}/%{name}-%PKGRELEASE

%{_bindir}/povray

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 13 2005 Erwan Velu <erwan@seanodes.com> 3.6.1-1mdk
- 3.6.1

* Fri Sep  9 2005 Olivier Blin <oblin@mandriva.com> 3.1g-20mdk
- fix typo in summary
- Patch19, Patch20: gcc4 fixes

* Thu Mar 24 2005 Erwan Velu <erwan@seanodes.com> 3.1g-19mdk
- Fixing x86_64 build
- Fixing Buildrequires

* Mon Jan 05 2004 Abel Cheung <deaddog@deaddog.org> 3.1g-18mdk
- Remove bash-completion dependency

* Tue Dec 30 2003 Guillaume Rousse <guillomovitch@mandrake.org> 3.1g-17mdk
- added bash-completion

* Mon Apr 28 2003  <erwan@no.mandrakesoft.com> 3.1g-16mdk
- Fixing buildrequires (thx to Stefan van der Eijk)
- Fixing arching
- Fixing -lm in mpi-unix
- Fixing docdir
* Thu Jan 09 2003 Erwan Velu <clic-dev-public@mandrakesoft.com> 3.1g-15mdk
- IA64 support
* Tue Dec 03 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.1g-14mdk
- Fixing chessIt* scripts 
* Thu Oct 10 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.1g-13mdk
- Fixing buildrequires
* Tue Oct 08 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.1g-12mdk
- rebuild gcc 3.2
* Tue Jul 04 2002 Erwan Velu <erwan@mandrakesoft.com> 3.1g-11mdk
- Fixing chessIt sample script
- Renaming chessIt to chessItPvm
- Fixing buildrequires
- Fixing chessItMpi sample script

* Tue Jun 04 2002 Erwan Velu <erwan@mandrakesoft.com> 3.1g-10mdk
- Fixing missing requires on libpng3

* Thu May 30 2002 Erwan Velu <erwan@mandrakesoft.com> 3.1g-9mdk
- Fixing chessItMpi sample script

* Tue May 28 2002 Erwan Velu <erwan@mandrakesoft.com> 3.1g-8mdk
- Renaming povray-mpi to povray-mpich because it's not compatible with lam
- Switching back to requires mpich for povray-mpi

* Mon May 27 2002 Erwan Velu <erwan@mandrakesoft.com> 3.1g-7mdk
- Moving dependencies from "mpich" to "Mpi", now you can use povray-mpi with lam.

* Thu May 23 2002 Erwan Velu <erwan@mandrakesoft.com> 3.1g-6mdk
- Gcc 3.1 build
- Fixing problem with a wrong libpng version

* Tue Apr 23 2002 Erwan Velu <erwan@mandrakesoft.com> 3.1g-5mdk
- Fixing chessIt (mpi test script) for Mpi version of povray

* Fri Apr 12 2002 Erwan Velu <erwan@mandrakesoft.com> 3.1g-4mdk
- Fixing wrong dependencies

* Thu Apr 11 2002 Erwan Velu <erwan@mandrakesoft.com> 3.1g-3mdk
- Adding Mpi version of Povray as subpackage
- Fixing stupid mistakes
- Tuning compilation options (i586)

* Wed Apr 10 2002 Erwan Velu <erwan@mandrakesoft.com> 3.1g-2mdk
- Fixing genpubkey script

* Fri Apr 05 2002 Erwan Velu <erwan@mandrakesoft.com> 3.1g-1mdk
- First build
